Bug 150362 - TB netconfpkg/NC_functions.py:232:ishardlink:OSError: [Errno 2] No such file or directory: '/etc/hosts'
TB netconfpkg/NC_functions.py:232:ishardlink:OSError: [Errno 2] No such file ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
i686 Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2005-03-04 18:27 EST by Moazzam Rehman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-24 07:42:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moazzam Rehman 2005-03-04 18:27:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)
Gecko/20030225

Description of problem:
Component: redhat-config-network
Version: 1.2.0
Summary: TB
/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NC_functions.py:232:ishardlink:OSError:
[Errno 2] No such file or directory: '/etc/hosts'
Traceback (most recent call last):
  File "/usr/sbin/internet-druid", line 149, in ?
    interface = NewInterfaceDialog()
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/NewInterfaceDialog.py",
line 87, in __init__
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/TokenRingInterface.py",
line 47, in __init__
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NCProfileList.py",
line 465, in getProfileList
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NCProfileList.py",
line 78, in load
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NCProfileList.py",
line 66, in updateNetworkScripts
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NC_functions.py",
line 232, in ishardlink
OSError: [Errno 2] No such file or directory: '/etc/hosts'

Local variables in innermost frame:
file: /etc/hosts


Version-Release number of selected component (if applicable):
1.2.0

How reproducible:
Couldn't Reproduce


Additional info:
Comment 1 Harald Hoyer 2005-03-07 05:53:31 EST
you should really have /etc/hosts with a minimal of:
127.0.0.1       localhost.localdomain   localhost
Comment 2 Marc Deslauriers 2005-04-20 19:57:20 EDT
I am closing this as it is not a security issue.

Note You need to log in before you can comment on or make changes to this bug.